# ApplicationFramework
TKPShape
PColgp

# PColgp_FieldOfHArray1OfLin2d Class Reference

`#include <PColgp_FieldOfHArray1OfLin2d.hxx>`

Inheritance diagram for PColgp_FieldOfHArray1OfLin2d:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | PColgp_FieldOfHArray1OfLin2d ()
Standard_EXPORT | PColgp_FieldOfHArray1OfLin2d (const Standard_Integer Size)
Standard_EXPORT | PColgp_FieldOfHArray1OfLin2d (const PColgp_FieldOfHArray1OfLin2d &Varray)
Standard_EXPORT void | Resize (const Standard_Integer Size)
Standard_EXPORT void | Assign (const PColgp_FieldOfHArray1OfLin2d &Other)
void | operator= (const PColgp_FieldOfHArray1OfLin2d &Other)
Standard_EXPORT void | SetValue (const Standard_Integer Index, const gp_Lin2d &Value)
Standard_EXPORT gp_Lin2d & | Value (const Standard_Integer Index) const
gp_Lin2d & | operator() (const Standard_Integer Index) const
Standard_EXPORT void | Destroy ()
| ~PColgp_FieldOfHArray1OfLin2d ()

## Friends

Standard_EXPORT friend Handle_Standard_Type & | PColgp_FieldOfHArray1OfLin2d_Type_ ()

## Constructor & Destructor Documentation

Standard_EXPORT PColgp_FieldOfHArray1OfLin2d::PColgp_FieldOfHArray1OfLin2d | ( |  | ) |

Standard_EXPORT PColgp_FieldOfHArray1OfLin2d::PColgp_FieldOfHArray1OfLin2d | ( | const Standard_Integer | Size | ) |

Standard_EXPORT PColgp_FieldOfHArray1OfLin2d::PColgp_FieldOfHArray1OfLin2d | ( | const PColgp_FieldOfHArray1OfLin2d & | Varray | ) |

PColgp_FieldOfHArray1OfLin2d::~PColgp_FieldOfHArray1OfLin2d | ( |  | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT void PColgp_FieldOfHArray1OfLin2d::Assign | ( | const PColgp_FieldOfHArray1OfLin2d & | Other | ) |

Standard_EXPORT void PColgp_FieldOfHArray1OfLin2d::Destroy | ( |  | ) |

| Reimplemented from DBC_BaseArray.

void PColgp_FieldOfHArray1OfLin2d::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from DBC_BaseArray.

void* PColgp_FieldOfHArray1OfLin2d::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from DBC_BaseArray.

void* PColgp_FieldOfHArray1OfLin2d::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from DBC_BaseArray.

gp_Lin2d& PColgp_FieldOfHArray1OfLin2d::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

void PColgp_FieldOfHArray1OfLin2d::operator= | ( | const PColgp_FieldOfHArray1OfLin2d & | Other | ) | `[inline]`

Standard_EXPORT void PColgp_FieldOfHArray1OfLin2d::Resize | ( | const Standard_Integer | Size | ) |

Standard_EXPORT void PColgp_FieldOfHArray1OfLin2d::SetValue | ( | const Standard_Integer | Index,
|  | const gp_Lin2d & | Value
| ) |

Standard_EXPORT gp_Lin2d& PColgp_FieldOfHArray1OfLin2d::Value | ( | const Standard_Integer | Index | ) | const

## Friends And Related Function Documentation

Standard_EXPORT friend Handle_Standard_Type& PColgp_FieldOfHArray1OfLin2d_Type_ | ( |  | ) | `[friend]`

The documentation for this class was generated from the following file:

- PColgp_FieldOfHArray1OfLin2d.hxx